List people and their results
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_name": "<string>",
"name_unresolved": false,
"person_title": "<string>",
"person_linkedin_url": "<string>",
"avatar_url": "<string>",
"company_name": "<string>",
"progress_percent": 0,
"progress_label": "<string>",
"last_action": {
"node_type": "<string>",
"send_type": "<string>",
"at": "2023-11-07T05:31:56Z",
"text": "<string>",
"outcome": "<string>"
},
"connected": false,
"replied": false,
"sender_display_name": "<string>",
"reply_intent": "<string>",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_paused": false,
"campaign_paused": false,
"status_label": "<string>",
"tags": [
"<string>"
],
"has_conversation": false,
"can_reassign": false,
"reassign_blocked_reason": "<string>",
"can_retry": false,
"can_remove": false,
"messages": [
{
"label": "<string>",
"kind": "<string>",
"text": "<string>",
"sent": false,
"note_sent": true,
"note_status_text": "<string>"
}
],
"where_label": "<string>",
"next_label": "<string>",
"next_action": "<string>",
"next_at": "2023-11-07T05:31:56Z",
"waiting_for_you": false,
"error_code": "<string>",
"error_reason": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"failed_step_label": "<string>",
"sender_back": true
}
],
"total": 123,
"status_counts": {
"in_progress": 0,
"finished": 0,
"paused": 0,
"failed": 0,
"excluded": 0,
"not_enrolled": 0,
"waiting_for_you": 0,
"didnt_go_out": 0,
"removed": 0,
"replied": 0
},
"reasons": {
"failed": [
{
"code": "<string>",
"text": "<string>",
"count": 123
}
],
"excluded": [
{
"code": "<string>",
"text": "<string>",
"count": 123
}
],
"not_enrolled": [
{
"code": "<string>",
"text": "<string>",
"count": 123
}
]
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
List people and their results
One page of this campaign’s people, with where each one is and what happened. Use this to read results.
GET
/
workflows
/
{workflow_id}
/
analytics
/
leads
List people and their results
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"person_name": "<string>",
"name_unresolved": false,
"person_title": "<string>",
"person_linkedin_url": "<string>",
"avatar_url": "<string>",
"company_name": "<string>",
"progress_percent": 0,
"progress_label": "<string>",
"last_action": {
"node_type": "<string>",
"send_type": "<string>",
"at": "2023-11-07T05:31:56Z",
"text": "<string>",
"outcome": "<string>"
},
"connected": false,
"replied": false,
"sender_display_name": "<string>",
"reply_intent": "<string>",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_paused": false,
"campaign_paused": false,
"status_label": "<string>",
"tags": [
"<string>"
],
"has_conversation": false,
"can_reassign": false,
"reassign_blocked_reason": "<string>",
"can_retry": false,
"can_remove": false,
"messages": [
{
"label": "<string>",
"kind": "<string>",
"text": "<string>",
"sent": false,
"note_sent": true,
"note_status_text": "<string>"
}
],
"where_label": "<string>",
"next_label": "<string>",
"next_action": "<string>",
"next_at": "2023-11-07T05:31:56Z",
"waiting_for_you": false,
"error_code": "<string>",
"error_reason": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"failed_step_label": "<string>",
"sender_back": true
}
],
"total": 123,
"status_counts": {
"in_progress": 0,
"finished": 0,
"paused": 0,
"failed": 0,
"excluded": 0,
"not_enrolled": 0,
"waiting_for_you": 0,
"didnt_go_out": 0,
"removed": 0,
"replied": 0
},
"reasons": {
"failed": [
{
"code": "<string>",
"text": "<string>",
"count": 123
}
],
"excluded": [
{
"code": "<string>",
"text": "<string>",
"count": 123
}
],
"not_enrolled": [
{
"code": "<string>",
"text": "<string>",
"count": 123
}
]
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Query Parameters
Text to search for.
Only the last this many days.
Required range:
1 <= x <= 3650How many rows to skip. Starts at 0.
Required range:
x >= 0How many rows to return in one page.
Required range:
1 <= x <= 200